http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpointsCreates a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.
The ID of the virtual cluster for which a managed endpoint is created.
The name of the managed endpoint.
The tags of the managed endpoint.
The type of the managed endpoint.
The client idempotency token for this create call.
The Amazon EMR release version.
The certificate ARN provided by users for the managed endpoint. This field is under deprecation and will be removed in future releases.
The ARN of the execution role.
A configuration specification to be used to override existing configurations.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpointsCreates a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.
The ID of the virtual cluster for which a managed endpoint is created.
The name of the managed endpoint.
The tags of the managed endpoint.
The type of the managed endpoint.
The client idempotency token for this create call.
The Amazon EMR release version.
The certificate ARN provided by users for the managed endpoint. This field is under deprecation and will be removed in future releases.
The ARN of the execution role.
A configuration specification to be used to override existing configurations.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}